# $Revision: 1.29 $, $Date: 2001/12/14 15:45:03 $
Summary:	wmCalClock - a simple Calendar Clock
Summary(pl):	wmCalClock - prosty zegar z kalendarzem
Name:		wmCalClock
Version:	1.25
Release:	3
License:	GPL
Group:		X11/Window Managers/Tools
Group(de):	X11/Fenstermanager/Werkzeuge
Group(pl):	X11/Zarzdcy Okien/Narzdzia
Source0:	http://nis-www.lanl.gov/~mgh/WindowMaker/%{name}-%{version}.tar.gz
Source1:	%{name}.desktop
URL:		http://nis-www.lanl.gov/~mgh/WindowMaker/DockApps.shtml
BuildRequires:	XFree86-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_prefix		/usr/X11R6
%define 	_mandir 	%{_prefix}/man

%description
wmCalClock is a simple Calendar Clock for the WindowMaker/AfterStep
dock.

%description -l pl
wmCalClock jest prostym, dokowalnym zegarem z kalendarzem dla
WindowMakera/AfterStepa.

%prep
%setup -q

%build
%{__make} -C Src \
	CFLAGS="%{rpmcflags} -Wall"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_mandir}/man1} \
	$RPM_BUILD_ROOT%{_applnkdir}/DockApplets

install Src/%{name} $RPM_BUILD_ROOT%{_bindir}
install Src/%{name}.1 $RPM_BUILD_ROOT%{_mandir}/man1
#install %{SOURCE1} $RPM_BUILD_ROOT%{_applnkdir}/DockApplets

gzip -9nf BUGS CHANGES HINTS README TODO

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc *.gz
%attr(755,root,root) %{_bindir}/%{name}
%{_mandir}/man1/*
#%{_applnkdir}/DockApplets/wmCalClock.desktop

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <pld-list@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: wmCalClock.spec,v $
Revision 1.29  2001/12/14 15:45:03  kloczek
- release 3: commented desktop file.

Revision 1.28  2001/07/15 00:38:13  kloczek
- reelase 2,
- updated Source url and added URL.

Revision 1.27  2001/05/03 01:14:05  qboosh
- adapterized and made spec %%debug ready or added using %%rpm*flags macros

Revision 1.26  2000/11/12 16:58:51  kloczek
- removed xpm-devel from BuildRequires.

Revision 1.25  2000/06/09 07:24:01  kloczek
- added using %%{__make} macro.

Revision 1.24  2000/04/01 11:15:57  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.23  2000/03/28 16:55:09  baggins
- translated kloczkish into english

Revision 1.22  1999/11/27 02:59:14  pius
- added using more rpm macros
- cosmetics

Revision 1.21  1999/09/04 09:44:02  pius
- cosmetics

Revision 1.20  1999/09/04 09:02:33  wiget
 - /etc/X11/applnk -> /usr/X11R6/share/applnk

Revision 1.19  1999/07/20 12:48:11  wiget
- switch to rpm 3.0.2

Revision 1.18  1999/07/12 23:06:19  kloczek
- added using CVS keywords in %changelog (for automating them).

* Mon May 24 1999 Piotr Czerwiski <pius@pld.org.pl> 
  [1.24-1]
- updated to 1.24.

* Mon May 17 1999 Piotr Czerwiski <pius@pld.org.pl>
  [1.22-3]
- package is FHS 2.0 compliant,
- based on spec file written by Ian Macdonald <ianmacd@xs4all.nl>,
  rewritten for PLD use by me and Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>.
